<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="17701" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina4_7" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="17703"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="System colors in document resources" minToolsVersion="11.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <customFonts key="customFonts">
        <array key="fa-solid.ttf">
            <string>FontAwesome5Free-Solid</string>
        </array>
    </customFonts>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner" customClass="Controller" customModule="Zarah" customModuleProvider="target">
            <connections>
                <outlet property="playButton" destination="drf-ok-FVG" id="es7-av-iM3"/>
                <outlet property="view" destination="iN0-l3-epB" id="TRH-cQ-J9o"/>
                <outlet property="visualizer" destination="g2P-Q5-cQr" id="pjj-km-Y15"/>
            </connections>
        </placeholder>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view contentMode="scaleToFill" id="iN0-l3-epB">
            <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
            <subviews>
                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="WyK-En-2UH" userLabel="Content">
                    <rect key="frame" x="56.5" y="156.5" width="262.5" height="354.5"/>
                    <subviews>
                        <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="g2P-Q5-cQr" userLabel="Visaulizer" customClass="Visualizer" customModule="Zarah" customModuleProvider="target">
                            <rect key="frame" x="0.0" y="0.0" width="262.5" height="262.5"/>
                            <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                            <constraints>
                                <constraint firstAttribute="width" secondItem="g2P-Q5-cQr" secondAttribute="height" id="HVa-I8-9tx"/>
                            </constraints>
                        </view>
                        <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="Grj-at-OFX" userLabel="Controls">
                            <rect key="frame" x="0.0" y="286.5" width="262.5" height="68"/>
                            <subviews>
                                <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="drf-ok-FVG" userLabel="Play Pause">
                                    <rect key="frame" x="109" y="12" width="44" height="44"/>
                                    <constraints>
                                        <constraint firstAttribute="width" secondItem="drf-ok-FVG" secondAttribute="height" id="oMX-Ad-bXz"/>
                                    </constraints>
                                    <fontDescription key="fontDescription" name="FontAwesome5Free-Solid" family="Font Awesome 5 Free" pointSize="32"/>
                                    <state key="normal" title="">
                                        <color key="titleColor" systemColor="labelColor"/>
                                    </state>
                                    <connections>
                                        <action selector="playButtonPressed" destination="-1" eventType="touchUpInside" id="CWF-HH-5ED"/>
                                    </connections>
                                </button>
                                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="NKP-7o-Dyt" userLabel="Left">
                                    <rect key="frame" x="0.0" y="0.0" width="109" height="68"/>
                                    <subviews>
                                        <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="ddk-aL-CRh" userLabel="Backwards">
                                            <rect key="frame" x="37.5" y="17" width="34" height="34"/>
                                            <constraints>
                                                <constraint firstAttribute="width" secondItem="ddk-aL-CRh" secondAttribute="height" id="xZR-Rg-u5h"/>
                                            </constraints>
                                            <fontDescription key="fontDescription" name="FontAwesome5Free-Solid" family="Font Awesome 5 Free" pointSize="22"/>
                                            <state key="normal" title="">
                                                <color key="titleColor" systemColor="labelColor"/>
                                            </state>
                                            <connections>
                                                <action selector="backwardsButtonPressed" destination="-1" eventType="touchUpInside" id="Ciq-67-BOT"/>
                                            </connections>
                                        </button>
                                    </subviews>
                                    <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                                    <constraints>
                                        <constraint firstItem="ddk-aL-CRh" firstAttribute="centerY" secondItem="NKP-7o-Dyt" secondAttribute="centerY" id="SpN-sy-cTf"/>
                                        <constraint firstItem="ddk-aL-CRh" firstAttribute="centerX" secondItem="NKP-7o-Dyt" secondAttribute="centerX" id="pVI-k7-07m"/>
                                    </constraints>
                                </view>
                                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="j3A-Cf-iCF" userLabel="Right">
                                    <rect key="frame" x="153" y="0.0" width="109.5" height="68"/>
                                    <subviews>
                                        <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="1EE-Nt-PLh" userLabel="Forward">
                                            <rect key="frame" x="37.5" y="17" width="34" height="34"/>
                                            <constraints>
                                                <constraint firstAttribute="width" secondItem="1EE-Nt-PLh" secondAttribute="height" id="ru4-o7-BY6"/>
                                            </constraints>
                                            <fontDescription key="fontDescription" name="FontAwesome5Free-Solid" family="Font Awesome 5 Free" pointSize="22"/>
                                            <state key="normal" title="">
                                                <color key="titleColor" systemColor="labelColor"/>
                                            </state>
                                            <connections>
                                                <action selector="fowardButtonPressed" destination="-1" eventType="touchUpInside" id="Juc-Yt-Pkl"/>
                                            </connections>
                                        </button>
                                    </subviews>
                                    <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                                    <constraints>
                                        <constraint firstItem="1EE-Nt-PLh" firstAttribute="centerX" secondItem="j3A-Cf-iCF" secondAttribute="centerX" id="2jq-sG-Oan"/>
                                        <constraint firstItem="1EE-Nt-PLh" firstAttribute="centerY" secondItem="j3A-Cf-iCF" secondAttribute="centerY" id="4v6-wh-Uej"/>
                                    </constraints>
                                </view>
                            </subviews>
                            <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                            <constraints>
                                <constraint firstItem="NKP-7o-Dyt" firstAttribute="top" secondItem="Grj-at-OFX" secondAttribute="top" id="KXC-1l-w3h"/>
                                <constraint firstAttribute="bottom" secondItem="drf-ok-FVG" secondAttribute="bottom" constant="12" id="WvA-ow-bRl"/>
                                <constraint firstAttribute="trailing" secondItem="j3A-Cf-iCF" secondAttribute="trailing" id="YoK-hs-dem"/>
                                <constraint firstItem="j3A-Cf-iCF" firstAttribute="leading" secondItem="drf-ok-FVG" secondAttribute="trailing" id="Zy5-RB-cIz"/>
                                <constraint firstItem="drf-ok-FVG" firstAttribute="centerY" secondItem="Grj-at-OFX" secondAttribute="centerY" id="cJ5-R7-gdp"/>
                                <constraint firstItem="drf-ok-FVG" firstAttribute="centerX" secondItem="Grj-at-OFX" secondAttribute="centerX" id="cgb-gm-VZJ"/>
                                <constraint firstItem="drf-ok-FVG" firstAttribute="top" secondItem="Grj-at-OFX" secondAttribute="top" constant="12" id="gWO-x6-g9O"/>
                                <constraint firstAttribute="bottom" secondItem="NKP-7o-Dyt" secondAttribute="bottom" id="keo-Rf-vE5"/>
                                <constraint firstItem="drf-ok-FVG" firstAttribute="leading" secondItem="NKP-7o-Dyt" secondAttribute="trailing" id="sgU-Mr-Czb"/>
                                <constraint firstItem="NKP-7o-Dyt" firstAttribute="leading" secondItem="Grj-at-OFX" secondAttribute="leading" id="vlW-s6-TZK"/>
                                <constraint firstItem="j3A-Cf-iCF" firstAttribute="top" secondItem="Grj-at-OFX" secondAttribute="top" id="y8P-NZ-6qQ"/>
                                <constraint firstAttribute="bottom" secondItem="j3A-Cf-iCF" secondAttribute="bottom" id="ytS-rq-Cme"/>
                            </constraints>
                        </view>
                    </subviews>
                    <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                    <constraints>
                        <constraint firstAttribute="trailing" secondItem="g2P-Q5-cQr" secondAttribute="trailing" id="4hS-pe-jYn"/>
                        <constraint firstAttribute="bottom" secondItem="Grj-at-OFX" secondAttribute="bottom" id="4wM-2L-aOT"/>
                        <constraint firstItem="g2P-Q5-cQr" firstAttribute="leading" secondItem="WyK-En-2UH" secondAttribute="leading" id="FMe-4B-XzV"/>
                        <constraint firstItem="Grj-at-OFX" firstAttribute="top" secondItem="g2P-Q5-cQr" secondAttribute="bottom" constant="24" id="M5U-IJ-2Kh"/>
                        <constraint firstItem="g2P-Q5-cQr" firstAttribute="top" secondItem="WyK-En-2UH" secondAttribute="top" id="Q1w-hm-oWL"/>
                        <constraint firstAttribute="trailing" secondItem="Grj-at-OFX" secondAttribute="trailing" id="lSb-PX-4wk"/>
                        <constraint firstItem="Grj-at-OFX" firstAttribute="leading" secondItem="WyK-En-2UH" secondAttribute="leading" id="twK-cE-iqL"/>
                    </constraints>
                </view>
            </subviews>
            <viewLayoutGuide key="safeArea" id="vUN-kp-3ea"/>
            <color key="backgroundColor" systemColor="systemBackgroundColor"/>
            <constraints>
                <constraint firstItem="WyK-En-2UH" firstAttribute="width" secondItem="vUN-kp-3ea" secondAttribute="width" multiplier="0.7" id="IZf-4t-kG7"/>
                <constraint firstItem="WyK-En-2UH" firstAttribute="centerY" secondItem="iN0-l3-epB" secondAttribute="centerY" id="dgM-NW-oVf"/>
                <constraint firstItem="WyK-En-2UH" firstAttribute="centerX" secondItem="iN0-l3-epB" secondAttribute="centerX" id="lHO-6u-kTC"/>
            </constraints>
            <point key="canvasLocation" x="-197.10144927536234" y="108.48214285714285"/>
        </view>
    </objects>
    <resources>
        <systemColor name="labelColor">
            <color white="0.0" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
        </systemColor>
        <systemColor name="systemBackgroundColor">
            <color white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
        </systemColor>
    </resources>
</document>
